Bug 1395061 (CVE-2016-9066)

Summary: CVE-2016-9066 Mozilla: Integer overflow leading to a buffer overflow in nsScriptLoadHandler (MFSA 2016-89, MFSA 2016-90)
Product: [Other] Security Response Reporter: Huzaifa S. Sidhpurwala <huzaifas>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: cschalle, jhorak, security-response-team, stransky
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-11-24 05:35:59 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1392803    

Description Huzaifa S. Sidhpurwala 2016-11-15 03:40:50 UTC
A buffer overflow resulting in a potentially exploitable crash due to memory allocation issues when handling large amounts of incoming data.


External Reference:

https://www.mozilla.org/security/announce/2016/mfsa2016-89.html


Acknowledgements:

Name: the Mozilla project
Upstream: Samuel GroƟ

Comment 1 errata-xmlrpc 2016-11-16 08:20:30 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2016:2780 https://rhn.redhat.com/errata/RHSA-2016-2780.html